package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Pollsource;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface CustomPollSourceService {
    /**
     * 开启报警
     *
     * @param dto dto
     * @param fileList 上传文件
     * @param poll     污染源信息
     * @return true of false1
     */
    boolean turnOnTheAlarm(List<MultipartFile> fileList, Pollsource poll, String dto);

    /**
     * 删除污染源
     *
     * @param ids ids
     * @return true
     */
    boolean deletePoll(String ids);

    /**
     * 获取文件路径
     *
     * @param id 污染源id
     * @return list
     */
    List<String> getFilePath(Long id);

    /**
     * 获取污染源信息
     *
     * @param page page
     * @param dto dto
     * @return page
     */
    Page viewPollSource(Page page, String dto, String iswarn);

    /**
     * 获取详细信息
     *
     * @param id 污染源id
     * @return map
     */
    Pollsource getInfo(Long id);

    /**
     * 关闭报警
     *
     * @param ids 污染源id
     * @return true
     */
    boolean closeWarn(String ids);

    /**
     * 获取全部上报信息
     *
     * @param page    page
     * @param address 模糊查询条件
     * @param iswarn  是否报警
     * @return page
     */
    Page getAllPollSource(Page page, String address, String iswarn,String start,String end,String pollIds);


    List<Map> getpollUte();
}
